<div>
  <h2>Lista diagnosticos</h2>
  <table class="table-custom">
    <thead>
      <tr>
        <th>ID</th>
        <th>Valoracion especialista</th>
        <th>Enfermedad</th>
        <th>Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let diagnostico of diagnosticos">
        <td>{{diagnostico.id}}</td>
        <td>{{diagnostico.valoracionEspecialista}}</td>
        <td>{{diagnostico.enfermedad}}</td>
        <td>
          <button (click)="editarDiagnostico(diagnostico.id)">Editar</button>
          <button (click)="deleteDiagnostico(diagnostico.id)">Eliminar</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
